<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMItemStoreInfoViewBase from './emitem-store-info-view-base.vue';

import view_form from '@widgets/emitem/store-form/store-form.vue';

/**
 * 物品
 *
 * @export
 * @class EMItemStoreInfoView
 * @extends {EMItemStoreInfoViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMItemStoreInfoView extends EMItemStoreInfoViewBase { }
</script>